package com.mortals.xhx.module.matter.dao.ibatis;


import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.matter.model.MatterDatumQuery;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.matter.dao.MatterDatumDao;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 事项申请材料DaoImpl DAO接口
*
* @author zxfei
* @date 2022-01-12
*/
@Repository("matterDatumDao")
public class MatterDatumDaoImpl extends BaseCRUDDaoMybatis<MatterDatumEntity,Long> implements MatterDatumDao {


    @Override
    public List<MatterDatumEntity> getMatterDatumCount() {
        return this.getSqlSession().selectList(this.getSqlId("getMatterDatumCount"));
    }

    @Override
    public Result<MatterDatumEntity> getSubList(MatterDatumQuery params, PageInfo pageInfo) {
        return getList(getQueryParam(params),pageInfo,"getSubList");
    }
}
